import { createSelector } from "reselect";

const selectModals = (state) => state.modals;

export const selectJobLineEditModal = createSelector([selectModals], (modals) => modals.jobLineEdit);

export const selectBillEnterModal = createSelector([selectModals], (modals) => modals.billEnter);

export const selectCourtesyCarReturn = createSelector([selectModals], (modals) => modals.courtesyCarReturn);

export const selectNoteUpsert = createSelector([selectModals], (modals) => modals.noteUpsert);

export const selectTaskUpsert = createSelector([selectModals], (modals) => modals.taskUpsert);

export const selectSchedule = createSelector([selectModals], (modals) => modals.schedule);

export const selectPartsOrder = createSelector([selectModals], (modals) => modals.partsOrder);

export const selectTimeTicket = createSelector([selectModals], (modals) => modals.timeTicket);
export const selectTimeTicketTasks = createSelector([selectModals], (modals) => modals.timeTicketTask);

export const selectPrintCenter = createSelector([selectModals], (modals) => modals.printCenter);

export const selectReconciliation = createSelector([selectModals], (modals) => modals.reconciliation);
export const selectPayment = createSelector([selectModals], (modals) => modals.payment);

export const selectJobCosting = createSelector([selectModals], (modals) => modals.jobCosting);

export const selectReportCenter = createSelector([selectModals], (modals) => modals.reportCenter);

export const selectPartsReceive = createSelector([selectModals], (modals) => modals.partsReceive);

export const selectContractFinder = createSelector([selectModals], (modals) => modals.contractFinder);
export const selectInventoryUpsert = createSelector([selectModals], (modals) => modals.inventoryUpsert);

export const selectCaBcEtfTableConvert = createSelector([selectModals], (modals) => modals.ca_bc_eftTableConvert);

export const selectCardPayment = createSelector([selectModals], (modals) => modals.cardPayment);
